/ comp / gb.net / udpsocket / .error
UdpSocket.Error (gb.net)
Syntax

    EVENT Error ( )

This event raises when some failed (for instance socket binding failed). Status property will turn to a value lesser than zero, and socket will be automatically closed.

The Status property value reflects the error:

Constant | Meaning
--- | ---
Net.CannotCreateSocket | System didn't allow to create socket.
Net.CannotWrite | Error trying to send data.
Net.CannotRead | Error tying to receive data.
Net.CannotBindSocket | Unable to use (bind) desired Port.